Update Settings
curl --request POST \
--url https://api.lobstr.io/v1/squids/{squid_hash} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.lobstr.io/v1/squids/{squid_hash}"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://api.lobstr.io/v1/squids/{squid_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
TripAdvisor Restaurants Search Export
Update Settings
Configure the TripAdvisor Restaurants Scraper parameters and options
POST
/
v1
/
squids
/
{squid_hash}
Update Settings
Configure your TripAdvisor Restaurants Scraper squid settings to control the maximum number of restaurants to scrape per search.
Headers
string
required
Your API authentication token. Value:
Token YOUR_API_KEYstring
required
Request body format. Value:
application/jsonScraper Parameters
Set these parameters in theparams object:
| Parameter | Type | Default | Description |
|---|---|---|---|
| max_results | integer | unlimited | Maximum number of restaurants to collect per task |
| max_unique_results_per_run | integer | unlimited | Maximum unique results across all tasks in the run |
Squid Settings
Configure general squid settings:| Setting | Type | Description |
|---|---|---|
| name | string | Display name for your squid configuration |
| concurrency | integer | Number of parallel scraping threads (default: 1) |
| export_unique_results | boolean | Export only unique results (deduplicated) |
| to_complete | boolean | Run until all tasks complete |
| no_line_breaks | boolean | Remove line breaks from results |
Start with a smaller max_results value (e.g., 50) to test your search before scaling up for larger data collection.
TripAdvisor results include both claimed and unclaimed business profiles. Claimed profiles tend to have more complete information.
Code Examples
curl -X POST "https://api.lobstr.io/v1/squids/YOUR_SQUID_HASH" \
-H "Authorization: Token YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "TripAdvisor Restaurants Scraper (1)",
"concurrency": 1,
"export_unique_results": true,
"to_complete": false,
"no_line_breaks": true,
"params": {
"max_results": 100
}
}'
import requests
API_KEY = "YOUR_API_KEY"
BASE_URL = "https://api.lobstr.io/v1"
headers = {"Authorization": f"Token {API_KEY}"}
squid_id = "YOUR_SQUID_HASH"
response = requests.post(f"{BASE_URL}/squids/{squid_id}",
headers=headers,
json={
"name": "TripAdvisor Restaurants Scraper (1)",
"concurrency": 1,
"export_unique_results": True,
"to_complete": False,
"no_line_breaks": True,
"params": {
"max_results": 100
}
}
)
data = response.json()
print(f"Squid updated: {data['name']}")
print(f"Max results: {data['params']['max_results']}")
Response
201
{
"name": "TripAdvisor Restaurants Scraper (1)",
"concurrency": 1,
"export_unique_results": true,
"to_complete": false,
"no_line_breaks": true,
"params": {
"max_results": 100
}
}
⌘I